package xmdv.dataproc;



/***********************************************************

**  CopyRight (c) by Xmdv Group, CS Department of WPI, 2003

**  All Rights Reserved.

**

**  Author: Jing Yang

**  Date:   06/2003

***********************************************************/



/**

 * An instance of this class can be used to store and query operation flags.

 * Each BrushOper contains two flags, one is called current mark, the other is called clear mark. 

 *

 * @author  Jing Yang

 * @version v1.0

 */

public class BrushOper {

    // Variables declaration

    public static final int REGULAR = 0;

    public static final int DISABLED = 1;

    public static final int HIGHLIGHTED = 2;

    

    protected int currMark = HIGHLIGHTED;

    protected int clearMark = REGULAR;

    // End of variables declaration

    

    /** Creates new BrushOper */

    public BrushOper() {

    }

    

    /** Creates new BrushOper 

     * @param clearMark clear mark in this new BrushOper

     * @param currMark current mark in this new BrushOper

     */

    public BrushOper(int clearMark, int currMark) {

        setCurrMark(currMark);

        setClearMark(clearMark);

    }

    

    /** Sets current mark for this BrushOper

     * @param mark current mark to be set

     */

    public void setCurrMark(int mark) {

        currMark = mark;

    }

    

    /** Gets current mark of this BrushOper

     * @return current mark of this BrushOper

     */

    public int getCurrMark() {

        return currMark;

    }

    

    /** Sets clear mark for this BrushOper

     * @param mark clear mark to be set

     */

    public void setClearMark(int mark) {

        clearMark = mark;

    }

    

    /** Gets clear mark of this BrushOper

     * @return clear mark of this BrushOper

     */

    public int getClearMark() {

        return clearMark;

    }

}